%define stable %([ "`echo %{version} |cut -d. -f3`" -ge 80 ] && echo -n un; echo -n stable)

Summary:	A privacy-respecting, open source and secure TV ecosystem
Name:		plasma-bigscreen
Version:	5.27.11
Release:	%mkrel 1
License:	LGPL
Group:		Graphical desktop/KDE5
Url:		http://plasma-bigscreen.org/
Source0:	http://download.kde.org/%{stable}/plasma/%(echo %{version} |cut -d. -f1-3)/%{name}-%{version}.tar.xz
Requires: aura-browser
Requires: plasma-remotecontrollers

BuildRequires: cmake
BuildRequires: lib64kconfig-devel
BuildRequires: lib64kcoreaddons-devel
BuildRequires: lib64kf5activities-devel
BuildRequires: lib64kf5configwidgets-devel
BuildRequires: lib64kf5declarative-devel
BuildRequires: lib64kf5i18n-devel
BuildRequires: lib64kf5notifications-devel
BuildRequires: lib64kf5package-devel
BuildRequires: lib64kf5plasma-devel
BuildRequires: lib64kf5service-devel
BuildRequires: lib64kio-devel
BuildRequires: lib64plasma-workspace-devel
BuildRequires: lib64qt5core-devel
BuildRequires: lib64qt5dbus-devel
BuildRequires: lib64qt5gui-devel
BuildRequires: lib64qt5network-devel
BuildRequires: lib64qt5qml-devel
BuildRequires: lib64qt5quick-devel
BuildRequires: ninja

%description
A privacy-respecting, open source and secure TV ecosystem.

%files
%{_bindir}
%{_datadir}
%{_libdir}
%{_sysconfdir}

%prep
%setup -q

%build
%cmake_kf5 -GNinja
%ninja_build

%install
rm -rf %buildroot
%ninja_install -C build

rm -rf %buildroot/%{_datadir}/wayland-sessions/plasma-bigscreen-wayland.desktop
rm -rf %buildroot/%{_bindir}/plasma-bigscreen-wayland
rm -rf %buildroot/%{_datadir}/xsessions/plasma-bigscreen-x11.desktop

# session file
%__install -d %buildroot/%_sysconfdir/X11/wmsession.d
%__cat > %buildroot/%_sysconfdir/X11/wmsession.d/90bigscreen << EOF
NAME=Bigscreen
ICON=
EXEC=/usr/bin/plasma-bigscreen-x11
DESC=%summary
SCRIPT:
exec dbus-run-session /usr/bin/plasma-bigscreen-x11
EOF

%find_lang %{name} --all-name

%post
%make_session
/sbin/ldconfig

%postun
%make_session
/sbin/ldconfig

%changelog
* Thu Mar 14 2024 tex - 5.27.11-1pclos2024
- new version

